RK-J - Bug #3260

Tweak to 3103 (OpenAl API call) - 30->50words, 'do not make up answer"
10/08/2023 01:41 PM - Ram Kordale

Status: Closed Start date: 10/08/2023
Priority: Immediate Due date: 10/14/2023
Assignee: Ram Kordale % Done: 100%
Category: Estimated time: 1.00 hour
Target version: 1-RK-J-1 Spent time: 1.00 hour
Description

Change needed is only in ourPrompt and max_tokens.

Current:

POST /vi/completions {
"model": "text-davinci-003",
"prompt": <ourPrompt>,
"temperature": 0,
"max_tokens": 60,

"top_p": 1,
"frequency_penalty": 0,
"presence_penalty": 0

}

ourPrompt = concat("explain", <what user typed>, "with one example in 30 words or less")

Change needed:

ourPrompt = concat("Only if you know the answer, explain”, <what user typed>, "with one example in 50 words or less. Do not make
up an answer.")

max_tokens: change from 60 to 90

History

#1 - 10/13/2023 09:48 AM - Ram Kordale

- Priority changed from Urgent to Immediate

#2 - 10/14/2023 03:33 AM - Ayush Khandelwal
- Due date set to 10/14/2023
- Status changed from New to In Progress

- Estimated time set to 1.00 h

#3 - 10/19/2023 05:05 AM - Ayush Khandelwal
- Status changed from In Progress to Resolved

- % Done changed from 0 to 100

#4 - 10/19/2023 05:06 AM - Ayush Khandelwal

- Status changed from Resolved to Feedback

#5 - 10/21/2023 12:09 PM - Ram Kordale

- Description updated

#6 - 10/23/2023 11:47 AM - Ayush Khandelwal

- Assignee changed from Ayush Khandelwal to Ram Kordale

#7 - 10/23/2023 12:09 PM - Ram Kordale
- Status changed from Feedback to Closed
